# chunk.cpp File Reference

`#include "chunk.h"`
`#include "readwrite.h"`
`#include "chunktable.h"`
`#include <string.h>`
`#include <stdarg.h>`

Include dependency graph for chunk.cpp:

## Defines

#define | LIB3DS_EXPORT

## Functions

void | lib3ds_chunk_enable_dump (Lib3dsBool enable, Lib3dsBool unknown)
Lib3dsBool | lib3ds_chunk_read (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_read_start (Lib3dsChunk *c, Lib3dsWord chunk, FILE *f)
void | lib3ds_chunk_read_tell (Lib3dsChunk *c, FILE *f)
Lib3dsWord | lib3ds_chunk_read_next (Lib3dsChunk *c, FILE *f)
void | lib3ds_chunk_read_reset (Lib3dsChunk *, FILE *f)
void | lib3ds_chunk_read_end (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_write (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_write_start (Lib3dsChunk *c, FILE *f)
Lib3dsBool | lib3ds_chunk_write_end (Lib3dsChunk *c, FILE *f)
const char * | lib3ds_chunk_name (Lib3dsWord chunk)
void | lib3ds_chunk_unknown (Lib3dsWord chunk)
void | lib3ds_chunk_dump_info (const char *format,...)

## Define Documentation

#define LIB3DS_EXPORT